Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F149137855
D46687.1789580672.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D46687.1789580672.diff
View Options
diff --git a/libexec/rc/network.subr b/libexec/rc/network.subr
--- a/libexec/rc/network.subr
+++ b/libexec/rc/network.subr
@@ -423,7 +423,27 @@
esac
done
- checkyesno synchronous_dhclient
+ checkyesno synchronous_dhclient && return
+
+ # Auto-switching to SYNCDHCP must only happen if DHCP is defined, so
+ # check for dhcpif (again for ifconfig_up() usage, but to be safe for
+ # other/future consumers)
+ dhcpif $1 || return
+
+ # Assume user wants SYNCDHCP if devd(8) was (intentionally) disabled,
+ # but overseen that ifconfig="DHCP" won't work in that case.
+ checkyesno devd_enable || return 0
+
+ # If $skip doesn't list any keyword starting with "nojail" return with
+ # non zero since the result from 'checkyesno synchronous_dhclient' was
+ # non zero.
+ [ "${skip}" != "${skip#* nojail}" ] || return
+
+ # If $skip doesn't list keyword "nojailvnet" (but "nojail" was found,
+ # otherwise we would return above), auto-switching to SYNCDHCP happens.
+ # The test reflects non zero checkyesno synchronous_dhclient' result
+ # otherwise.
+ [ "${skip}" = "${skip#* nojailvnet}" ]
}
# wpaif if
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Wed, Sep 16, 5:44 PM (21 h, 35 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
29701084
Default Alt Text
D46687.1789580672.diff (1 KB)
Attached To
Mode
D46687: auto-switch DHCP rc.conf(5) directive to SYNCDHCP if devd(8) won't take over
Attached
Detach File
Event Timeline
Log In to Comment